Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class RowChangeAssistant.RowChange

Enclosing interface:
  RowChangeAssistant

    public static interface class RowChangeAssistant.RowChange

A change to a row in a database table.

(Unpublished)

Field Summary
`static java.lang.String` | `OPERATION_DELETE` `Operation` value for an `DELETE`.
`static java.lang.String` | `OPERATION_INSERT` `Operation` value for an `INSERT`.
`static java.lang.String` | `OPERATION_UPDATE` `Operation` value for an `UPDATE`.

Method Summary
`java.lang.String` | `getOperation()` Gets the operation performed.
`long` | `getPrimaryKey()` Gets the value of the primary key.

Field Detail

### OPERATION_INSERT

    static final java.lang.String OPERATION_INSERT

  Description copied from interface: `RowChangeAssistant.RowChange`
  `Operation` value for an `INSERT`.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_UPDATE

    static final java.lang.String OPERATION_UPDATE

  Description copied from interface: `RowChangeAssistant.RowChange`
  `Operation` value for an `UPDATE`.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_DELETE

    static final java.lang.String OPERATION_DELETE

  Description copied from interface: `RowChangeAssistant.RowChange`
  `Operation` value for an `DELETE`.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### getPrimaryKey

    long getPrimaryKey()

  Description copied from interface: `RowChangeAssistant.RowChange`
  Gets the value of the primary key.

  Returns:
    the primary key
  (Unpublished)

### getOperation

    java.lang.String getOperation()

  Description copied from interface: `RowChangeAssistant.RowChange`
  Gets the operation performed.

  Returns:
    the operation performed: `RowChangeAssistant.RowChange.OPERATION_INSERT`, `RowChangeAssistant.RowChange.OPERATION_UPDATE`, `RowChangeAssistant.RowChange.OPERATION_DELETE`, or some action-specific value (if `recordRowChange` was called)
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD